@-webkit-keyframes swing {
	0%, 30%, 50%, 70%, 100% {
		-webkit-transform : rotate(0deg);
		transform         : rotate(0deg);
	}
	10% {
		-webkit-transform : rotate(10deg);
		transform         : rotate(10deg);
	}
	40% {
		-webkit-transform : rotate(-10deg);
		transform         : rotate(-10deg);
	}
	60% {
		-webkit-transform : rotate(5deg);
		transform         : rotate(5deg);
	}
	80% {
		-webkit-transform : rotate(-5deg);
		transform         : rotate(-5deg);
	}
}
@keyframes swing {
	0%, 30%, 50%, 70%, 100% {
		-webkit-transform : rotate(0deg);
		transform         : rotate(0deg);
	}
	10% {
		-webkit-transform : rotate(10deg);
		transform         : rotate(10deg);
	}
	40% {
		-webkit-transform : rotate(-10deg);
		transform         : rotate(-10deg);
	}
	60% {
		-webkit-transform : rotate(5deg);
		transform         : rotate(5deg);
	}
	80% {
		-webkit-transform : rotate(-5deg);
		transform         : rotate(-5deg);
	}
}
@-webkit-keyframes sonar {
	0% {
		-webkit-transform : scale(0.9);
		transform         : scale(0.9);
		opacity           : 1;
	}
	100% {
		-webkit-transform : scale(2);
		transform         : scale(2);
		opacity           : 0;
	}
}
@keyframes sonar {
	0% {
		-webkit-transform : scale(0.9);
		transform         : scale(0.9);
		opacity           : 1;
	}
	100% {
		-webkit-transform : scale(2);
		transform         : scale(2);
		opacity           : 0;
	}
}
body.sidebarNavContainer {
	padding-left       : 250px;
	-webkit-transition : padding-left .3s ease;
	transition         : padding-left .3s ease;
}
@media print {
	body.sidebarNavContainer {
		padding-left : 0;
	}
}
body.sidebarNavLvl1.sidebarNavPinned {
	padding-left : 60px;
}
/*body.sidebarNavLvl2:not(.sidebarNavPinned) {*/
/*    padding-left : calc(250px + 190px);*/
/*}*/
.sidebarNav {
	width              : 250px;
	height             : 100%;
	max-height         : 100%;
	position           : fixed;
	top                : 0;
	left               : 0;
	z-index            : 1035;
	-webkit-transition : left .3s ease, width .3s ease;
	transition         : left .3s ease, width .3s ease;
}
.sidebarNav.level2 {
	width : 190px;
	left  : 60px;
}
body.sidebarNavLvl2:not(.sidebarNavPinned):not(.sidebarNavHovered) .sidebarNav.level2,
body.sidebarNavLvl2.sidebarNavPinned.sidebarNavHovered .sidebarNav.level2 {
	width : 50px;
	left  : 200px;
}
body.sidebarNavLvl2:not(.sidebarNavPinned) .sidebarNav.level2 {
	left : 60px;
}
.sidebarNav ul {
	list-style-type : none;
	padding         : 0;
	margin          : 0;
}
.sidebarNav a {
	text-decoration    : none;
	-webkit-transition : color .3s ease;
	transition         : color .3s ease;
}
.sidebarNav .sidebarNavItem {
	-webkit-transition : all .3s linear;
	transition         : all .3s linear;
}
.sidebarNav .sidebarNavContent {
	max-height : calc(100% - 35px);
	height     : calc(100% - 35px);
	position   : relative;
}
.sidebarNav.level2 .sidebarNavContent {
	max-height : 100%;
	height     : 100%;
}
.sidebarNav.sidebarBg {
	background-size     : cover;
	background-position : center;
	background-repeat   : no-repeat;
}
.sidebarNav.sidebarBg:before {
	content  : '';
	position : absolute;
	top      : 0;
	right    : 0;
	bottom   : 0;
	left     : 0;
}
/* BRAND */
.sidebarNav .sidebarNavBrand {
	padding           : 1rem 1.2rem;
	display           : -webkit-box;
	display           : -ms-flexbox;
	display           : flex;
	-webkit-box-align : center;
	-ms-flex-align    : center;
	align-items       : center;
	height            : 55px;
}
.sidebarNav .sidebarNavBrand > a {
	font-weight       : bold;
	-webkit-box-flex  : 1;
	-ms-flex-positive : 1;
	flex-grow         : 1;
	overflow          : hidden;
	white-space       : nowrap;
	text-overflow     : ellipsis;
}
/* HEADER */
.sidebarNav .sidebarNavUser {
	padding  : 20px;
	overflow : hidden;
}
/* HEADER - USER AVATAR */
.sidebarNav .sidebarNavUser .sidebarNavUserAvatar {
	width         : 60px;
	padding       : 2px;
	margin-right  : 15px;
	overflow      : hidden;
	border-radius : 12px;
}
.sidebarNav .sidebarNavUser .sidebarNavUserAvatar img {
	-o-object-fit : cover;
	object-fit    : cover;
	height        : 100%;
	width         : 100%;
}
/* HEADER - USER INFO */
.sidebarNav .sidebarNavUser .sidebarNavUserInfo {
	overflow : hidden;
}
.sidebarNav .sidebarNavUser .sidebarNavUserInfo > span {
	display       : block;
	white-space   : nowrap;
	text-overflow : ellipsis;
}
.sidebarNav .sidebarNavUser .sidebarNavUserInfo .sidebarNavUserRole {
	font-size : 12px;
}
.sidebarNav .sidebarNavUser .sidebarNavUserInfo .sidebarNavUserStatus {
	font-size  : 11px;
	margin-top : 4px;
}
.sidebarNav .sidebarNavUser .sidebarNavUserInfo .sidebarNavUserStatus span.sidebarNavMenuIcon {
	font-size    : 8px;
	margin-right : 4px;
	color        : #5CB85C;
}
/* MENU */
.sidebarNav .sidebarNavMenu .headerMenu span {
	font-weight : bold;
	font-size   : 14px;
	padding     : 15px 20px 5px 20px;
	display     : inline-block;
}
.sidebarNav .sidebarNavMenu ul li a {
	display           : -webkit-box;
	display           : -ms-flexbox;
	display           : flex;
	-ms-flex-wrap     : nowrap;
	flex-wrap         : nowrap;
	-webkit-box-align : center;
	-ms-flex-align    : center;
	align-items       : center;
	text-decoration   : none;
	position          : relative;
	padding           : 8px 30px 8px 3px;
	width             : 100%;
}
.sidebarNav.level2 .sidebarNavMenu ul li a {
	padding : 8px 10px 8px 7px;
}
.sidebarNav .sidebarNavMenu ul li a:not(.disabled):hover > span.sidebarNavMenuIcon::before {
	display           : inline-block;
	-webkit-animation : swing ease-in-out .5s 1 alternate;
	animation         : swing ease-in-out .5s 1 alternate;
}
.sidebarNav .sidebarNavMenu ul li a span.sidebarNavMenuIcon {
	margin-right      : 7px;
	font-size         : 12px;
	width             : 35px;
	height            : 35px;
	line-height       : 35px;
	text-align        : center;
	-ms-flex-negative : 0;
	flex-shrink       : 0;
	border-radius     : 4px;
}
.sidebarNav .sidebarNavMenu ul li a .sidebarNavMenuText {
	-webkit-box-flex  : 1;
	-ms-flex-positive : 1;
	flex-grow         : 1;
	white-space       : nowrap;
	text-overflow     : ellipsis;
	-ms-flex-negative : 1;
	flex-shrink       : 1;
	overflow          : hidden;
}
.sidebarNav .sidebarNavMenu .sidebarNavDropdown > a:after,
body:not(.sidebarNavLvl1) .sidebarNav .sidebarNavMenu .sidebarNavDropdown > .sidebarNavSubmenu li.active > a:after {
	font-family             : "Font Awesome 5 Free";
	font-weight             : 900;
	content                 : "\f105";
	display                 : inline-block;
	font-style              : normal;
	font-variant            : normal;
	text-rendering          : auto;
	-webkit-font-smoothing  : antialiased;
	-moz-osx-font-smoothing : grayscale;
	text-align              : center;
	background              : 0 0;
	position                : absolute;
	right                   : 15px;
	top                     : 14px;
	-webkit-transition      : -webkit-transform .3s ease;
	transition              : -webkit-transform .3s ease;
	transition              : transform .3s ease;
	transition              : transform .3s ease, -webkit-transform .3s ease;
}
body:not(.sidebarNavLvl1) .sidebarNav .sidebarNavMenu .sidebarNavDropdown > .sidebarNavSubmenu li.active > a:after {
	top       : 2px;
	right     : 2px !important;;
	font-size : 21px;
}
body.sidebarNavLvl2.sidebarNavHovered.sidebarNavPinned .sidebarNav.level1 .sidebarNavMenu .sidebarNavDropdown > a:after,
body.sidebarNavLvl2.sidebarNavHovered.sidebarNavPinned .sidebarNav.level1 .sidebarNavMenu .sidebarNavDropdown > .sidebarNavSubmenu li.active > a:after {
	right      : 55px !important;
	transition : .2s ease right;
}
.sidebarNav .sidebarNavMenu .sidebarNavDropdown .sidebarNavSubmenu ul {
	padding : 5px 0;
}
.sidebarNav .sidebarNavMenu .sidebarNavDropdown .sidebarNavSubmenu li {
	padding-left : 20px;
	font-size    : 13px;
}
.sidebarNav .sidebarNavMenu .sidebarNavDropdown .sidebarNavSubmenu li a {
	overflow      : hidden;
	white-space   : nowrap;
	text-overflow : ellipsis;
	padding       : 0;
}
.sidebarNav .sidebarNavMenu .sidebarNavDropdown .sidebarNavSubmenu li a .badge,
.sidebarNav .sidebarNavMenu .sidebarNavDropdown .sidebarNavSubmenu li a .label {
	margin-left : auto;
}
.sidebarNav .sidebarNavMenu .sidebarNavDropdown:not(.collapsed) > a:after {
	-webkit-transform : rotate(90deg);
	transform         : rotate(90deg);
	right             : 15px;
}
/* FOOTER */
.sidebarNav .sidebarNavFooter {
	position : absolute;
	width    : 100%;
	bottom   : 0;
	display  : -webkit-box;
	display  : -ms-flexbox;
	display  : flex;
}
body.sidebarNavLvl2.sidebarNavHovered.sidebarNavPinned .sidebarNav .sidebarNavFooter {
	width : calc(100% - 50px);
}
.sidebarNav .sidebarNavFooter > div {
	-webkit-box-flex  : 1;
	-ms-flex-positive : 1;
	flex-grow         : 1;
	text-align        : center;
	height            : 35px;
	line-height       : 35px;
	position          : static;
	display           : -webkit-box;
	display           : -ms-flexbox;
	display           : flex;
}
.sidebarNav .sidebarNavFooter > div > a {
	-webkit-box-flex  : 1;
	-ms-flex-positive : 1;
	flex-grow         : 1;
}
.sidebarNav .sidebarNavFooter > .dropdown > a {
	position : relative;
}
.sidebarNav .sidebarNavFooter > .dropdown > a > .badge,
.sidebarNav .sidebarNavFooter > .pinnedFooter.pinSidebarNav .badge {
	position : absolute;
	top      : 0;
	right    : 5px;
}
.sidebarNav .sidebarNavFooter > div.unpinSidebarNav {
	display : none;
}
.sidebarNav .sidebarNavFooter .dropdown-menu {
	bottom                  : 36px;
	left                    : 0 !important;
	top                     : initial !important;
	right                   : 0;
	-webkit-transform       : none !important;
	transform               : none !important;
	font-size               : .9rem;
	border-top-left-radius  : 4px;
	border-top-right-radius : 4px;
}
.sidebarNav .sidebarNavFooter .dropdown-menu .dropdown-item {
	padding : .25rem .5rem;
}
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterHeader {
	padding : 0 1rem;
}
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterHeader > span {
	padding-right : 1rem;
}
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent {
	display : -webkit-box;
	display : -ms-flexbox;
	display : flex;
}
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .icon,
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .pic {
	width  : 30px;
	height : 30px;
}
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .icon > span,
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .pic > img {
	width       : 25px;
	height      : 25px;
	text-align  : center;
	line-height : 25px;
}
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .content {
	line-height  : 1.6;
	padding-left : 5px;
	width        : calc(100% - 30px);
}
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .content .notificationDetail,
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .content .messageDetail {
	font-size     : 12px;
	white-space   : nowrap;
	overflow      : hidden;
	text-overflow : ellipsis;
}
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .content .notificationTime,
.sidebarNav .sidebarNavFooter .dropdown-menu .sidebarNavFooterContent .content .messageTime {
	font-size : .7rem;
	color     : #828282;
}
.sidebarNav .sidebarNavFooter .badge-sonar {
	display       : inline-block;
	background    : #D86703;
	border-radius : 50%;
	height        : 8px;
	width         : 8px;
	position      : absolute;
	top           : 0;
}
.sidebar-wrapper .sidebar-footer .badge-sonar:after {
	content           : '';
	position          : absolute;
	top               : 0;
	left              : 0;
	border            : 2px solid #D86703;
	opacity           : 0;
	border-radius     : 50%;
	width             : 100%;
	height            : 100%;
	-webkit-animation : sonar 1.5s infinite;
	animation         : sonar 1.5s infinite;
}
/* PINNED */
body.sidebarNavPinned.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 {
	width : 60px;
}
body.sidebarNavLvl2:not(.sidebarNavHovered):not(.sidebarNavPinned) .sidebarNav.level1 {
	width : 200px;
}
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavUser,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavUser {
	padding : 10px;
}
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavUser .sidebarNavUserAvatar,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavUser .sidebarNavUserAvatar {
	margin : 0 auto;
	width  : 40px;
	float  : none;
}
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavUser .sidebarNavUserAvatar img,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavUser .sidebarNavUserAvatar img {
	margin : auto;
}
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavUser .sidebarNavUserInfo,
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavMenu .headerMenu,
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavMenu ul > li > a > span:not(.sidebarNavMenuIcon),
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavFooter > div:not(.pinnedFooter),
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavUser .sidebarNavUserInfo,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavMenu .headerMenu,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavMenu ul > li > a > span:not(.sidebarNavMenuIcon),
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavFooter > div:not(.pinnedFooter) {
	display : none !important;
}
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavMenu .sidebarNavDropdown .sidebarNavSubmenu li,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavMenu .sidebarNavDropdown .sidebarNavSubmenu li {
	padding-left : 13px;
}
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavMenu ul > li > a::after,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavMenu ul > li > a::after {
	right : 7px;
}
.sidebarNav.level1 .sidebarNavFooter > div.pinnedFooter {
	display : none;
}
body.sidebarNavPinned:not(.sidebarNavHovered) .sidebarNav.level1 .sidebarNavFooter > div.pinnedFooter,
body.sidebarNavLvl2.sidebarNavHovered:not(.sidebarNavPinned) .sidebarNav.level1 .sidebarNavFooter > div.pinnedFooter {
	display : block;
}
/* BACKGROUND IMAGE */
.sidebarNav.sidebarBg.bg1,
[data-sidebarBg="bg1"] {
	background-image : url(../../IMAGE/SIDEBAR/BACKGROUND/bg1.jpg);
}
.sidebarNav.sidebarBg.bg2,
[data-sidebarBg="bg2"] {
	background-image : url(../../IMAGE/SIDEBAR/BACKGROUND/bg2.jpg);
}
.sidebarNav.sidebarBg.bg3,
[data-sidebarBg="bg2"] {
	background-image : url(../../IMAGE/SIDEBAR/BACKGROUND/bg3.jpg);
}
.sidebarNav.sidebarBg.bg4,
[data-sidebarBg="bg2"] {
	background-image : url(../../IMAGE/SIDEBAR/BACKGROUND/bg4.jpg);
}
.mCSB_inside > .mCSB_container {
	margin-right : 3px !important;
}